aboutsummaryrefslogtreecommitdiffstats
path: root/main/quagga-nhrp/bgpd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/quagga-nhrp/bgpd.initd')
-rw-r--r--main/quagga-nhrp/bgpd.initd22
1 files changed, 22 insertions, 0 deletions
diff --git a/main/quagga-nhrp/bgpd.initd b/main/quagga-nhrp/bgpd.initd
new file mode 100644
index 0000000000..bd1e4c6c92
--- /dev/null
+++ b/main/quagga-nhrp/bgpd.initd
@@ -0,0 +1,22 @@
+#!/sbin/openrc-run
+
+piddir=/var/run/quagga
+pidfile=$piddir/$SVCNAME.pid
+command=/usr/sbin/$SVCNAME
+command_args="-d -f /etc/quagga/$SVCNAME.conf --pid_file $pidfile"
+
+depend() {
+ need net zebra
+ after firewall opennhrp
+}
+
+start_pre() {
+ if ! [ -e /etc/quagga/$SVCNAME.conf ] ; then
+ eerror "You need to create /etc/quagga/$SVCNAME.conf first."
+ eerror "An example can be found in /usr/share/doc/quagga/$SVCNAME.conf.sample"
+ eerror "from quagga-doc package"
+ return 1
+ fi
+ checkpath --owner quagga:quagga --directory $piddir
+}
+